MCP Tools Reference: agentregistry.googleapis.com

Tool: list_endpoints

Return a paginated list of registered endpoints accessed by agents in a given project and location.

The following sample demonstrate how to use curl to invoke the list_endpoints MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_endpoints",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for requesting list of Endpoints

ListEndpointsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string
}
Fields
parent

string

Required. The project and location to list endpoints in. Expected format: projects/{project}/locations/{location}.

pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. A query string used to filter the list of endpoints returned. The filter expression must follow AIP-160 syntax.

Filtering is supported on the name, display_name, description, version, and interfaces fields.

Some examples:

  • name = "projects/p1/locations/l1/endpoints/e1"
  • display_name = "my-endpoint"
  • description = "my-endpoint-description"
  • version = "v1"
  • interfaces.transport = "HTTP_JSON"

Output Schema

Message for response to listing Endpoints

ListEndpointsResponse

JSON representation
{
  "endpoints": [
    {
      object (Endpoint)
    }
  ],
  "nextPageToken": string
}
Fields
endpoints[]

object (Endpoint)

The list of Endpoint resources matching the parent and filter criteria in the request. Each Endpoint resource follows the format: projects/{project}/locations/{location}/endpoints/{endpoint}.

nextPageToken

string

A token identifying a page of results the server should return. Used in page_token.

Endpoint

JSON representation
{
  "name": string,
  "endpointId": string,
  "displayName": string,
  "description": string,
  "interfaces": [
    {
      object (Interface)
    }
  ],
  "createTime": string,
  "updateTime": string,
  "attributes": {
    string: {
      object
    },
    ...
  }
}
Fields
name

string

Identifier. The resource name of the Endpoint. Format: projects/{project}/locations/{location}/endpoints/{endpoint}.

endpointId

string

Output only. A stable, globally unique identifier for Endpoint.

displayName

string

Output only. Display name for the Endpoint.

description

string

Output only. Description of an Endpoint.

interfaces[]

object (Interface)

Required. The connection details for the Endpoint.

createTime

string (Timestamp format)

Output only. Create time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Update time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

attributes

map (key: string, value: object (Struct format))

Output only. Attributes of the Endpoint.

Valid values:

  • agentregistry.googleapis.com/system/RuntimeReference: {"uri": "//..."} - the URI of the underlying resource hosting the Endpoint, for example, the GKE Deployment.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Interface

JSON representation
{
  "url": string,
  "protocolBinding": enum (ProtocolBinding)
}
Fields
url

string

Required. The destination URL.

protocolBinding

enum (ProtocolBinding)

Required. The protocol binding of the interface.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AttributesEntry

JSON representation
{
  "key": string,
  "value": {
    object
  }
}
Fields
key

string

value

object (Struct format)

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌